Package org.eclipse.e4.ui.model.application.ui.basic.impl

# Class TrimmedWindowImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
org.eclipse.e4.ui.model.application.impl.ApplicationElementImpl
org.eclipse.e4.ui.model.application.ui.impl.UIElementImpl
org.eclipse.e4.ui.model.application.ui.impl.ElementContainerImpl<MWindowElement>
org.eclipse.e4.ui.model.application.ui.basic.impl.WindowImpl
org.eclipse.e4.ui.model.application.ui.basic.impl.TrimmedWindowImpl

All Implemented Interfaces:
  `MBindings`, `MHandlerContainer`, `MApplicationElement`, `MTrimmedWindow`, `MWindow`, `MContext`, `MElementContainer<MWindowElement>`, `MLocalizable`, `MSnippetContainer`, `MUIElement`, `MUILabel`, `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder`, `org.eclipse.emf.ecore.InternalEObject`

public class TrimmedWindowImpl extends WindowImpl implements MTrimmedWindow
An implementation of the model object 'Trimmed Window'.

The following features are implemented:

- `Trim Bars`

Since:
  1.0

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected org.eclipse.emf.common.util.EList<MTrimBar>`
`trimBars`
The cached value of the '`Trim Bars`' containment reference list.

### Fields inherited from class org.eclipse.e4.ui.model.application.ui.basic.impl.WindowImpl

`bindingContexts, context, CONTEXT_EDEFAULT, handlers, height, HEIGHT_EDEFAULT, heightESet, ICON_URI_EDEFAULT, iconURI, label, LABEL_EDEFAULT, LOCALIZED_LABEL_EDEFAULT, LOCALIZED_TOOLTIP_EDEFAULT, mainMenu, properties, sharedElements, snippets, tooltip, TOOLTIP_EDEFAULT, variables, width, WIDTH_EDEFAULT, widthESet, windows, x, X_EDEFAULT, xESet, y, Y_EDEFAULT, yESet`

### Fields inherited from class org.eclipse.e4.ui.model.application.ui.impl.ElementContainerImpl

`children, selectedElement`

### Fields inherited from class org.eclipse.e4.ui.model.application.ui.impl.UIElementImpl

`ACCESSIBILITY_PHRASE_EDEFAULT, accessibilityPhrase, CONTAINER_DATA_EDEFAULT, containerData, curSharedRef, LOCALIZED_ACCESSIBILITY_PHRASE_EDEFAULT, ON_TOP_EDEFAULT, onTop, renderer, RENDERER_EDEFAULT, TO_BE_RENDERED_EDEFAULT, toBeRendered, visible, VISIBLE_EDEFAULT, visibleWhen, widget, WIDGET_EDEFAULT`

### Fields inherited from class org.eclipse.e4.ui.model.application.impl.ApplicationElementImpl

`CONTRIBUTOR_URI_EDEFAULT, contributorURI, ELEMENT_ID_EDEFAULT, elementId, persistedState, tags, transientData`

### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eContainer`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`TrimmedWindowImpl()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain`
`eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`protected org.eclipse.emf.ecore.EClass`
`eStaticClass()`
`void`
`eUnset(int featureID)`
`List<MTrimBar>`
`getTrimBars()`

### Methods inherited from class org.eclipse.e4.ui.model.application.ui.basic.impl.WindowImpl

`basicSetMainMenu, eBaseStructuralFeatureID, eDerivedOperationID, eDerivedStructuralFeatureID, eInvoke, getBindingContexts, getChildren, getContext, getHandlers, getHeight, getIconURI, getLabel, getLocalizedLabel, getLocalizedTooltip, getMainMenu, getProperties, getSharedElements, getSnippets, getTooltip, getVariables, getWidth, getWindows, getX, getY, isSetHeight, isSetWidth, isSetX, isSetY, setContext, setHeight, setIconURI, setLabel, setMainMenu, setSelectedElement, setTooltip, setWidth, setX, setY, toString, unsetHeight, unsetWidth, unsetX, unsetY, updateLocalization`

### Methods inherited from class org.eclipse.e4.ui.model.application.ui.impl.ElementContainerImpl

`basicGetSelectedElement, eInverseAdd, getSelectedElement`

### Methods inherited from class org.eclipse.e4.ui.model.application.ui.impl.UIElementImpl

`basicGetCurSharedRef, basicSetParent, basicSetVisibleWhen, eBasicRemoveFromContainerFeature, getAccessibilityPhrase, getContainerData, getCurSharedRef, getLocalizedAccessibilityPhrase, getParent, getRenderer, getVisibleWhen, getWidget, isOnTop, isToBeRendered, isVisible, setAccessibilityPhrase, setContainerData, setCurSharedRef, setOnTop, setParent, setRenderer, setToBeRendered, setVisible, setVisibleWhen, setWidget, toStringGen`

### Methods inherited from class org.eclipse.e4.ui.model.application.impl.ApplicationElementImpl

`getContributorURI, getElementId, getPersistedState, getTags, getTransientData, setContributorURI, setElementId`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eBasicSetContainer, eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetDirectResource, eSetProxyURI, eSettings`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.e4.ui.model.application.MApplicationElement

`getContributorURI, getElementId, getPersistedState, getTags, getTransientData, setContributorURI, setElementId`

### Methods inherited from interface org.eclipse.e4.ui.model.application.commands.MBindings

`getBindingContexts`

### Methods inherited from interface org.eclipse.e4.ui.model.application.ui.MContext

`getContext, getProperties, getVariables, setContext`

### Methods inherited from interface org.eclipse.e4.ui.model.application.ui.MElementContainer

`getChildren, getSelectedElement, setSelectedElement`

### Methods inherited from interface org.eclipse.e4.ui.model.application.commands.MHandlerContainer

`getHandlers`

### Methods inherited from interface org.eclipse.e4.ui.model.application.ui.MLocalizable

`updateLocalization`

### Methods inherited from interface org.eclipse.e4.ui.model.application.ui.MSnippetContainer

`getSnippets`

### Methods inherited from interface org.eclipse.e4.ui.model.application.ui.MUIElement

`getAccessibilityPhrase, getContainerData, getCurSharedRef, getLocalizedAccessibilityPhrase, getParent, getRenderer, getVisibleWhen, getWidget, isOnTop, isToBeRendered, isVisible, setAccessibilityPhrase, setContainerData, setCurSharedRef, setOnTop, setParent, setRenderer, setToBeRendered, setVisible, setVisibleWhen, setWidget`

### Methods inherited from interface org.eclipse.e4.ui.model.application.ui.MUILabel

`getIconURI, getLabel, getLocalizedLabel, getLocalizedTooltip, getTooltip, setIconURI, setLabel, setTooltip`

### Methods inherited from interface org.eclipse.e4.ui.model.application.ui.basic.MWindow

`getHeight, getMainMenu, getSharedElements, getWidth, getWindows, getX, getY, isSetHeight, isSetWidth, isSetX, isSetY, setHeight, setMainMenu, setWidth, setX, setY, unsetHeight, unsetWidth, unsetX, unsetY`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eNotify`

## Field Details

### trimBars

protected org.eclipse.emf.common.util.EList<MTrimBar> trimBars
The cached value of the '`Trim Bars`' containment reference list.

See Also:
  - `getTrimBars()`

## Constructor Details

### TrimmedWindowImpl

protected TrimmedWindowImpl()

## Method Details

### eStaticClass

protected org.eclipse.emf.ecore.EClass eStaticClass()

Overrides:
  `eStaticClass` in class `WindowImpl`

### getTrimBars

public List<MTrimBar> getTrimBars()

Specified by:
  `getTrimBars` in interface `MTrimmedWindow`
Returns:
  the value of the 'Trim Bars' containment reference list.

### eInverseRemove

public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `WindowImpl`

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `WindowImpl`

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `WindowImpl`

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `WindowImpl`

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `WindowImpl`